<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Exceptions;

use Exception;
use Throwable;

/**
 * Class TerminyException
 *
 * @package Seka\Portal\Modul\Terminy\Exceptions
 */
abstract class TerminyException extends Exception
{
    /**
     * TerminyException constructor.
     *
     * @param string          $message
     * @param int             $code
     * @param \Throwable|null $previous
     */
    public function __construct($message = "", $code = 0, Throwable $previous = null)
    {
        parent::__construct(
            empty($message) ? $this->message : $message,
            $code,
            $previous
        );
    }
}
